restic backup(1)

NAME

restic - Backup and restore files

SYNOPSIS

restic [flags]

DESCRIPTION

restic is a backup program which allows saving multiple revisions of files and directories in an encrypted repository stored on different backends.

OPTIONS

-h, --help[=false]
    help for restic

--json[=false]
    set output mode to JSON for commands that support it

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

SEE ALSO

restic-autocomplete(1), restic-backup(1), restic-cat(1), restic-check(1), restic-dump(1), restic-find(1), restic-forget(1), restic-init(1), restic-key(1), restic-list(1), restic-ls(1), restic-manpage(1), restic-migrate(1), restic-mount(1), restic-prune(1), restic-rebuild-index(1), restic-restore(1), restic-snapshots(1), restic-tag(1), restic-unlock(1), restic-version(1)